Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class StrucDocTfootImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.StrucDocTfootImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, StrucDocTfoot

    public class StrucDocTfootImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements StrucDocTfoot

An implementation of the model object 'Struc Doc Tfoot'.

The following features are implemented:

- `Group`
- `Tr`
- `Align`
- `Char`
- `Charoff`
- `ID`
- `Language`
- `Style Code`
- `Valign`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`AlignType1` | `getAlign()`
`java.lang.String` | `getChar()`
`java.lang.String` | `getCharoff()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()`
`java.lang.String` | `getID()`
`java.lang.String` | `getLanguage()`
`java.util.List` | `getStyleCode()`
`org.eclipse.emf.common.util.EList` | `getTr()`
`ValignType5` | `getValign()`
`boolean` | `isSetAlign()`
`boolean` | `isSetValign()`
`void` | `setAlign(AlignType1 newAlign)`
`void` | `setChar(java.lang.String newChar)`
`void` | `setCharoff(java.lang.String newCharoff)`
`void` | `setID(java.lang.String newID)`
`void` | `setLanguage(java.lang.String newLanguage)`
`void` | `setStyleCode(java.util.List newStyleCode)`
`void` | `setValign(ValignType5 newValign)`
`java.lang.String` | `toString()`
`void` | `unsetAlign()`
`void` | `unsetValign()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getGroup

    public org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Specified by:
    `getGroup` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTfoot_Group()`

### getTr

    public org.eclipse.emf.common.util.EList getTr()

  Specified by:
    `getTr` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Tr' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTfoot_Tr()`

### getAlign

    public AlignType1 getAlign()

  Specified by:
    `getAlign` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Align' attribute.
  See Also:
    `AlignType1`, `StrucDocTfoot.isSetAlign()`, `StrucDocTfoot.unsetAlign()`, `StrucDocTfoot.setAlign(AlignType1)`, `CDAR2Package.getStrucDocTfoot_Align()`

### setAlign

    public void setAlign(AlignType1 newAlign)

  Specified by:
    `setAlign` in interface `StrucDocTfoot`
  Parameters:
    `newAlign` - the new value of the 'Align' attribute.
  See Also:
    `AlignType1`, `StrucDocTfoot.isSetAlign()`, `StrucDocTfoot.unsetAlign()`, `StrucDocTfoot.getAlign()`

### unsetAlign

    public void unsetAlign()

  Specified by:
    `unsetAlign` in interface `StrucDocTfoot`
  See Also:
    `StrucDocTfoot.isSetAlign()`, `StrucDocTfoot.getAlign()`, `StrucDocTfoot.setAlign(AlignType1)`

### isSetAlign

    public boolean isSetAlign()

  Specified by:
    `isSetAlign` in interface `StrucDocTfoot`
  Returns:
    whether the value of the 'Align' attribute is set.
  See Also:
    `StrucDocTfoot.unsetAlign()`, `StrucDocTfoot.getAlign()`, `StrucDocTfoot.setAlign(AlignType1)`

### getChar

    public java.lang.String getChar()

  Specified by:
    `getChar` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Char' attribute.
  See Also:
    `StrucDocTfoot.setChar(String)`, `CDAR2Package.getStrucDocTfoot_Char()`

### setChar

    public void setChar(java.lang.String newChar)

  Specified by:
    `setChar` in interface `StrucDocTfoot`
  Parameters:
    `newChar` - the new value of the 'Char' attribute.
  See Also:
    `StrucDocTfoot.getChar()`

### getCharoff

    public java.lang.String getCharoff()

  Specified by:
    `getCharoff` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Charoff' attribute.
  See Also:
    `StrucDocTfoot.setCharoff(String)`, `CDAR2Package.getStrucDocTfoot_Charoff()`

### setCharoff

    public void setCharoff(java.lang.String newCharoff)

  Specified by:
    `setCharoff` in interface `StrucDocTfoot`
  Parameters:
    `newCharoff` - the new value of the 'Charoff' attribute.
  See Also:
    `StrucDocTfoot.getCharoff()`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `StrucDocTfoot`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `StrucDocTfoot.setID(String)`, `CDAR2Package.getStrucDocTfoot_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `StrucDocTfoot`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `StrucDocTfoot.getID()`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `StrucDocTfoot.setLanguage(String)`, `CDAR2Package.getStrucDocTfoot_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `StrucDocTfoot`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `StrucDocTfoot.getLanguage()`

### getStyleCode

    public java.util.List getStyleCode()

  Specified by:
    `getStyleCode` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `StrucDocTfoot.setStyleCode(List)`, `CDAR2Package.getStrucDocTfoot_StyleCode()`

### setStyleCode

    public void setStyleCode(java.util.List newStyleCode)

  Specified by:
    `setStyleCode` in interface `StrucDocTfoot`
  Parameters:
    `newStyleCode` - the new value of the 'Style Code' attribute.
  See Also:
    `StrucDocTfoot.getStyleCode()`

### getValign

    public ValignType5 getValign()

  Specified by:
    `getValign` in interface `StrucDocTfoot`
  Returns:
    the value of the 'Valign' attribute.
  See Also:
    `ValignType5`, `StrucDocTfoot.isSetValign()`, `StrucDocTfoot.unsetValign()`, `StrucDocTfoot.setValign(ValignType5)`, `CDAR2Package.getStrucDocTfoot_Valign()`

### setValign

    public void setValign(ValignType5 newValign)

  Specified by:
    `setValign` in interface `StrucDocTfoot`
  Parameters:
    `newValign` - the new value of the 'Valign' attribute.
  See Also:
    `ValignType5`, `StrucDocTfoot.isSetValign()`, `StrucDocTfoot.unsetValign()`, `StrucDocTfoot.getValign()`

### unsetValign

    public void unsetValign()

  Specified by:
    `unsetValign` in interface `StrucDocTfoot`
  See Also:
    `StrucDocTfoot.isSetValign()`, `StrucDocTfoot.getValign()`, `StrucDocTfoot.setValign(ValignType5)`

### isSetValign

    public boolean isSetValign()

  Specified by:
    `isSetValign` in interface `StrucDocTfoot`
  Returns:
    whether the value of the 'Valign' attribute is set.
  See Also:
    `StrucDocTfoot.unsetValign()`, `StrucDocTfoot.getValign()`, `StrucDocTfoot.setValign(ValignType5)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD